<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta content="EndeavourOS ...." name="description"/>
    <meta content="EndeavourOS, yay, install" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - AUR packages a jak nainstalovat aplikaci pomocí YAY</title>
</head>
<body>
<?php require "assets/header.php"?>
<main>
    <section class="welcome">
        <h1>AUR packages a jak nainstalovat aplikaci pomocí YAY</h1>
        <p><a href="https://endeavouros.cz/" target="_blank" rel="noopener">EndeavourOS</a> jako všechny ostatní distribuce rodiny <a href="https://arch-linux.cz/" target="_blank" rel="noopener">Arch Linux</a> nabízí obří seznam balíčků a aplikací k instalaci. Pokud znáte přesný název balíčku, můžete přejít ihned k instalaci, ale pokud ho neznáte nebo něco hledáte využijeme <a href="https://aur.archlinux.org/" target="_blank" rel="noopener">AUR packages</a>.</p>
        <p>Aby jste si ověřily dostupnost Vašeho balíčku co hledáte navštivte <a href="https://aur.archlinux.org/" target="_blank" rel="noopener">AUR packages</a>. Na stránce Vás bude nejvíce zajímat položka <a href="https://aur.archlinux.org/packages" target="_blank" rel="noopener">Packages</a>, zde najdete seznam všech balíčku co si můžete nainstalovat do Vašeho OS. V kolonce <strong>Keywords </strong>můžete balíčky vyhledávat dle názvu.</p>
        <p>My jsme si pro tento článek vybrali balíček Megasync. Do vyhledávacího pole jsme zadali slovo Mega sync klikly na GO.</p>   
        <p>Zobrazil se nám seznam všech výsledků kde se nachází Megasync.</p>
        <img src="img/Megasync.png" alt="AUR packages" style="width: 50%;height: auto;">
        <p>Já si vybral Official MEGA desktop application for syncing with MEGA Cloud Drive. Když balíček rozklikneme, najdeme odkaz na git, jakou má licenci, číslo verze a další.</p>
        <p>Pokud balíček budeme chtít nainstalovat přejdeme k instalaci.</p>
        <p>1. Zkopíruj si přesný název balíčku.</p>
        <p>2. Otevři terminál a vlož do něj yay -S a zkopírovaný text:</p>
        <div class="code-box">
          <pre id="code-content">
            <!-- Vaš kód sem -->
            yay -S magasync 
                      </pre>
            <button id="copy-button">Kopírovat</button>
        </div>
        <p>3. Budete vyzváni k zadání hesla root, následně si budete moc zkontrolovat název i číslo verze balíčku jestli je to vážně ten co chcete nainstalovat a potvrdíte pomocí ENTER. Pokud bude v nabídce více verzí balíčku nebo více repozitářů ke stažení budete vyzváni vybrat verzi kterou chcete. To provedete pomocí  čísla 1 - xxx, a zase potvrdíte pomocí ENTER.</p>
        <img src="img/terminalGnome.png" alt="Instalace packages v terminalu" style="width: 50%;height: auto;">
       
        
        <p>4. Během instalace budete možná vyzváni ještě jednou zadání hesla root. Možná se Vám zobrazí dotaz jestli je možné v instalaci pokračovat a jestli má systém odstranit nepotřebné balíčky po instalaci. V české verzi dáte <strong>a</strong> jako <strong>ano</strong> a v anglické <strong>y</strong> jako <strong>yes</strong>. Jako zápor v české i anglické verzi je <strong>n</strong> - <strong>ne</strong> a <strong>no</strong>.</p>
        <p>Po dokončené instalaci by jste měli vidět už balíček v nabídce aplikací. Pozor pokud instalujete aplikaci/ balíček  pro terminál nemusí se Vám zobrazit v nabídce aplikací, ale spouští se zadáním názvu v terminálu.</p>
            <code
            ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                03.10.2024</code
            >
        </p>
    </section>
</main>
<?php require "assets/returnbutton.php"?>
<?php require "assets/footer.php"?>
<script src="assets/script.js"></script>
</body>
</html>
